import request from '@/utils/request'
import qs from 'qs'
import { upcloud_base_wh_operate,  } from "@/config/serviceSettings";

export const api = {
  getList: upcloud_base_wh_operate + '/move/v1/erp-check-head-list',
  detailList: upcloud_base_wh_operate + '/move/v1/erp-check-list',
  checkAdd: upcloud_base_wh_operate + '	/move/v1/check-add',
  // rejectLotNo: upcloud_base_wh_operate + '/exceptionHeaders/v1/rejectLotNo'
};

export function getList(parameter) {
  return request({
    method: 'get',
    url: api.getList,
    params: parameter,
  })
}

export function detailList(parameter) {
  return request({
    method: 'get',
    url: api.detailList,
    params: parameter,
  })
}


export function checkAdd(parameter) {
  return request({
    method: 'post',
    url: api.checkAdd,
    data: parameter,
  })
}